Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 04-13-04, 10:42 PM   #1
feend
Redneck
 
feend's Avatar
 
Join Date: Apr 2004
Location: williamsbergland
Posts: 3
Default 2.6.5-mm, HT can't build driver?

Hello,
I am running on Linux killen_machine 2.6.1-mm5 #12 SMP Mon Apr 12 15:22:06 EDT 2004 i686 Intel(R) Pentium(R) 4 CPU 2.80GHz GenuineIntel GNU/Linux

And I can build the driver w/ the install utlity. When I try to w/ 2.6.5 and Hyper threading the installer says failed to build module. Is this a known issue? and is there a fix if so? 2.6.1 w/ -mm patch for Hyper threading all is well. I need to move up to 2.6.5 ASAP please let me know if there is any aditional info needed.
Thanx,
Feend
feend is offline   Reply With Quote
Old 04-14-04, 12:12 AM   #2
crimsun
Registered User
 
Join Date: Aug 2002
Posts: 43
Default Re: 2.6.5-mm, HT can't build driver?

2.6.1-mm5, 2.6.5-mm5, or 2.6.5-mm5-1? I built nvidia.ko successfully with 2.6.5-mm5-1, but the kernel OOPSed as soon as the installer tried to insert it. Will look into it further.

Last edited by crimsun; 04-14-04 at 12:15 AM. Reason: Corrected nefarious uname confusion
crimsun is offline   Reply With Quote
Old 04-14-04, 08:50 AM   #3
hppnq
Registered User
 
Join Date: Apr 2004
Location: Dutch
Posts: 113
Default Re: 2.6.5-mm, HT can't build driver?

The 2.6.5 kernel shipped with Fedora core 2 (test) works for me, so no problem there, probably; system is a Dell Inspiron w/ SMP (HT). There are some issues with killing the X server and running tuxracer, but otherwise everything works like a charm.

You have to revert the 4K stack patch (or disable it), by the way, if your kernel uses that.

Last edited by hppnq; 04-14-04 at 09:00 AM. Reason: Added the 4K stack patch remark
hppnq is offline   Reply With Quote
Old 04-15-04, 12:32 PM   #4
pschaff
Old Geek
 
Join Date: Apr 2004
Posts: 8
Default Re: 2.6.5-mm, HT can't build driver?

Check out the "Nvidia 5336 driver with Fedora Core 2" thread, and stoke up the fire under NVidia to come out with a real fix for the problem.

Phil
pschaff is offline   Reply With Quote
Old 04-15-04, 06:58 PM   #5
feend
Redneck
 
feend's Avatar
 
Join Date: Apr 2004
Location: williamsbergland
Posts: 3
Default Re: 2.6.5-mm, HT can't build driver?

Thanx, I was wondering about that...
I will continue to suffer under 2.6.1 and the random opps at shutdown.
I will also continure the laborious task of messing w/ my 2.6.5-mm build config (w/ hypertheading until I have a running driver. I also need other stuff in 2.6.5 for lm_sensors. If anyone has an idea else why I can't get this to compile please let me know.
Thanx, again
Feend
feend is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
NVIDIA Driver Installation flores.facundo NVIDIA Linux 2 06-24-12 08:37 AM
Diablo 3 Wizard build guide News Archived News Items 0 05-30-12 02:40 PM
Diablo 3 build guide: Barbarian, Demon Hunter, Monk, Witch Doctor and Wizard News Archived News Items 0 05-12-12 12:00 PM
Getting the proprietary nvidia driver to run with Debian 3.0 r0 (woody) Katchina404 NVIDIA Linux 9 01-12-03 08:49 AM
Nvidia Driver causes crash on Standby/Suspend dasher NVIDIA Linux 5 09-16-02 05:57 PM

All times are GMT -5. The time now is 03:36 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.